#ifndef _BIP_Engine_NonDeterministicPortsErrorItf_HPP_
#define _BIP_Engine_NonDeterministicPortsErrorItf_HPP_

#include <bip-engineiface-config.hpp>
using namespace bipbasetypes;
using namespace biptypes;

// inherited classes
#include "BipErrorItf.hpp"

// used classes
#include "BipError.hpp"

// referenced classes
class AtomInternalPort;


class NonDeterministicPortsErrorItf : public virtual BipErrorItf {
 public:
  // destructor
  virtual ~NonDeterministicPortsErrorItf();

  // getters for references
  AtomInternalPort &port() const { return *mPort; }
  bool hasPort() const { return mPort != NULL; }

  // setters for references
  void setPort(AtomInternalPort &port) { mPort = &port; }
  void clearPort() { mPort = NULL; }

 protected:
  // protected constructors
  NonDeterministicPortsErrorItf();

  // references
  AtomInternalPort *mPort;
};

#endif // _BIP_Engine_NonDeterministicPortsErrorItf_HPP_
