#ifndef _BIP_Engine_NonDeterministicInternalsErrorItf_HPP_
#define _BIP_Engine_NonDeterministicInternalsErrorItf_HPP_

#include <bip-engineiface-config.hpp>
using namespace bipbasetypes;
using namespace biptypes;

// inherited classes
#include "BipErrorItf.hpp"

// used classes
#include "BipError.hpp"

// referenced classes
class Atom;


class NonDeterministicInternalsErrorItf : public virtual BipErrorItf {
 public:
  // destructor
  virtual ~NonDeterministicInternalsErrorItf();

  // getters for references
  Atom &atom() const { return mAtom; }

 protected:
  // protected constructors
  NonDeterministicInternalsErrorItf(Atom &atom);

  // references
  Atom &mAtom;
};

#endif // _BIP_Engine_NonDeterministicInternalsErrorItf_HPP_
